SENAYAN 3 Stable Branch
SLiMS 5
SLiMS 7
SLiMS 8
SLiMS 9
Changes Log

Developers :
Hendro Wicaksono (hendrowicaksono@yahoo.com, hendrowicaksono@gmail.com)
Arie Nugraha (dicarve@yahoo.com, dicarve@gmail.com)
Wardiyono (wynerst@gmail.com)
Purwoko (purgeologi@yahoo.com, tamanjiwa@gmail.com)
Arif Syamsudin (arif.syamsudin@pm.me)
Rasyid Ridho (rasyidridho@gmail.com, ridhoedogawa@yahoo.com)
Eddy Subratha (eddy.subratha@gmail.com, mucill@gmail.com) 
Indra Sutriadi (indra.sutriadi@gmail.com)
Waris Agung Widodo (idoalit@gmail.com, ido.alit@gmail.com)
Heru Subekti (heroe.soebekti@gmail.com)
Drajat Hasan (drajathasan20@gmail.com)

Past Developers:
Sulfan Zayd (sulfan@gmail.com, sulfan.zayd@gmail.com)
Widianto Nugroho (wnugroho@gmail.com)

Localisation contributors :
Germany: Tobias Zeumer (tzeumer@verweisungsform.de)
Thai: Prasitichai เรารักในหลวง (eak.pras@facebook.com)
Bengali: A. K. M. Nurul Alam (nalamapu@gmail.com)
Persian: Mohammad Javad Mansourzadeh (info@mansourzadeh.ir)
Arabic: Rasyid Ridho (rasyidridho@gmail.com), Bounama Kouider (for full Arabic support)        
Malay: Jerry Mohd. Arif 
Brazilian Portuguese: Eduardo Koiti Kataoka (edukataoka@yahoo.com.br)
Spain: Jhon Urrego Felipe Mejia (ingenierofelipeurrego@gmail.com)
Urdu (Pakistan): Faheem Akbar (onlinevws@gmail.com), Aijaz Akhter Ahmadani (ritelibrarian@gmail.com)
Turkish: Ali Yasir Yılmaz (aliyasiryilmaz@gmail.com)
Russian: Igor Gaydyshev (https://sourceforge.net/projects/russiantranslationforsenayan/)

Other contributors:
Gettext support: Tobias Zeumer
Membercard modification: Jushadi Arman Saz (jushadi@unsulbar.ac.id)
English documentation: Jim Richardson
Code enhancement: John Antony (john.antony@iamplus.com)

THANKS TO OUR USERS AND COMMUNITIES, YOU ARE DEVELOPERS TOO!

SLiMS 9.8.0 (Bulian D Ace)
========================================================================
• Security: Hardened upload, image scraping, attachment handling, backup download/delete, lookup, visitor counter, and output escaping against SQLi, XSS, SSRF, CSRF, path traversal, and unsafe image metadata.
• Search: Added Fuzzy Search and Sphinx Search engines with settings UI, active-engine integration, fallback handling, and larger index word support.
• Reports: Added PDF export support via mPDF for datagrid reports and title lists.
• Maintenance: Added Image Maintenance Tool for cleanup, rebuild, backup, and synchronization.
• Circulation/Member: Added round-robin item reservation and fixed loan-history renewal/duplicate handling.
• Bibliography/OPAC: Improved custom-field handling, template configurability, external repository uploads, thumbnail generation, and UCS auto-delete behavior.
• Upgrade/Install: Synced installer schema with upgrade flow; optimized index definitions; updated dependencies and Docker environment handling.
• Extensibility: Added hooks for sysconfig, OPAC index, Admin index, and bibliography save data references.

SLiMS 9.7.2 (Bulian D Roger)
========================================================================
• Feature: Loan History Maintenance + menu integration.
• Upgrade: Removed loan-history triggers; replaced with direct updates; Add submenu handling in upgrade flow.
• UX: Clearer delete confirmations; defaulted withConfirm; switched form submit to blindSubmit; removed iframe submitExec.
• Assets: Added missing Colorbox CSS/JS includes.
• Reports: Improved procurement date handling (prioritize received_date) and validation.
• Circulation: Refactored member info display for clarity.
• Settings/I18n: Improved language selection; load global settings from DB.
• Access Control/Menu: Tightened checks; added widespread submenu access; refactored submenu arrays to associative keys; fixed isAdmin path matching.

SLiMS 9.7.1 (Bulian D Roger)
========================================================================
• Improved language selection handling and load of global settings from the database.
• Improved CSRF token management with backward compatibility and more robust handling.
• Modernized AJAX updater and related functions for better validation, error handling, and UX.
• Stronger password policy enforcement for OPAC and admin/member areas.
• Fixed CSV reader variable/initialization issues and improved CSV handling.
• Hardened SQL queries in procurement reports to validate and exclude invalid dates.
• Improvements to language selection and global settings loading.

SLiMS 9.7.0 (Bulian D Roger)
========================================================================
Security - System security enhancements to protect data and application stability.
• Comprehensive Security Patch: Patches SQL Injection and Stored XSS vulnerabilities, and enforces stronger password policies.
• Server-Side Attack Prevention: Fixes potential Server-Side Request Forgery (SSRF) and SQL Injection vulnerabilities.
• Upload Area Security: Improves .htaccess security.
• Disables PHP5 script execution.
• Sensitive Data Protection: Prevents direct access to hidden bibliographic details from the OPAC; hides credentials on error pages.
• Cookie and Session Security: Default SecureCookie attribute for user session security.
• Other Mitigations: Stripping EXIF ​​data from uploaded images; fixed ModSecurity issue.
________________________________________
Feature Enhancements & Changes
• Customization and Extensibility: Added Custom Fields for Items; Expanded plugin ecosystem with the ability to load third-party languages; register new menus, and support for plugin modules.
• Added new hooks to the system: login process, OAI, and deeper system customization configuration.
• Support for custom OPAC templates.
• Database and Data Management: Implemented the ability to connect to multiple databases simultaneously, added a file migration feature to another server, and configured the Copy Cataloging feature.
• Development Environment: Docker support.
• User Interface and Experience (UI/UX): Implemented a "Debug Box" to display debug information in a more structured manner, improved AJAX dropdown performance, and added a progress button for the data import process.
________________________________________
Bug Fixes
• Data Import: Fixed various issues during the import process of bibliographic data (including MARC format) and membership, and fixed a bug where the import preview did not match the selected column separator.
• Application Stability: Fixed "undefined variable," "undefined key," or "undefined offset" errors in various modules.
• Data Management: Addressed issues with author and subject orphaned data deletion, the deletion process in the GMD module, the visit space, and backup files.
• Module Functionality: Improved LDAP authentication functionality, resolved barcode label plugin compatibility, and improved filtering and updating borrowing history table.
• System and Configuration: Fixed errors for large file upload, addressed incorrect URLs when running behind a web proxy, and resolved schema and multi-instance connection issues in PDO.
________________________________________
Other
• Dependency Updates: Updated external libraries such as gettext, PHPSpreadsheet, league/flysystem, and symfony/var-dumper.
• Refactoring and Code Quality Improvements: Refactored the registerAutoload strategy and form handling with the FormAjax class.
• Documentation: Added and updated documentation for the Polyglot feature, Actions, and Docker commands.

SLiMS 9.6.1 (Bulian)
========================================================================
Add : CSP Manager
Add : CSV import sample
Add : Clickable label element at input radio and checkbox
Add : CSV Import Sample for Biblio, Item, & Member data
Fixed : CJK (Chinese, Japanese, and Korean) character in E-Mail content
Fixed : Bug in stock opname resync
Fixed : MARC SRU Perpusnas RI
Fixed : SSRF & LFI vulnerability
Fixed : re-run session
Fixed : unmatch column type at mst_visitor_room

SLiMS 9.6.0 (Bulian)
========================================================================
Added : CSV import preview
Added : Due date warning email notification
Added : Storage library
Added : Console feature
Added : 2FA at admin login page
Added : Configuration for multiple databases
Added : Room location visitor counter
Added : Captcha configuration user interface
Added : Backup database notification
Added : PHP 8 for minimum requirement
Fixed : Zero existing items for stock opname report
Fixed : Compatibility with MySQL 8
Fixed : Loan by classification reporting query
Fixed : OAIPMH for GetRecord

SLiMS 9.5.2 (Bulian)
========================================================================
Added : Bookmark for biblio data
Added : Share option for biblio data
Added : Version number for OPAC static file
Added : Session Factory to handle custom session configuration
Fixed : Invalid Form Login
Fixed : Full text search in SearchEngineBiblio

SLiMS 9.5.1 (Bulian)
========================================================================
Fixed : Security enhancement for SQL injection
Added : Date range for multiple reporting filter
Added : Add plugins compatibility with PHP Composer

SLiMS 9.5.0 (Bulian)
========================================================================
Added : Improved compatibility with PHP8.x
Added : Popup visitor report by day
Added : Fines value in overdue list
Added : Password field for encrypted attachment
Updated : Check uncommon keyword to prevent sql injection
Fixed : Unable to import biblio data on first header
Fixed : Image path for Minigalnano
Updated : Server for quote in Visitor Counter page
Fixed : Ignore holiday fines calculation
Fixed : Unable to download backup file result from user not admin
Fixed : Holiday setting when empty
Fixed : Query when import biblio data header
Fixed : Unrelated field after import item data from CSV
Fixed : MARC export search
Fixed : Prevent hidden biblio to show in home page
Updated : Improve mail configuration
Added : Time zone switcher
Added : Currency switcher
Added : Default comment management
Added : Report feature for the Read Counter plugin
Updated : CKEditor with CKEditor 5
Added : Use filter in default search engine
Added : Security updates based on OWASP ZAP
Added : Disable slide in OPAC

SLiMS 9.4.2 (Bulian)
========================================================================
Fixed : Stock take report detail
Update : Deactivate email debugger
Added : More method to see attachment
Added : Show detail for fines from Fines Report submenu
Added : Method to select group functions
Fixed : RSS feed
Update : More prevention with delete data if have relations
Fixed : Forbiden image thumbnail if modsecurity is on 

SLiMS 9.4.1 (Bulian)
========================================================================
Fixed : Hidden ajax list
Fixed : Hidden menu header for user not administrator
Update : Sub-menus view for dark mode admin template
Added : User other than (super) admin unable to change username
Fixed : Error when user try to save profile change

SLiMS 9.4.0 (Bulian)
========================================================================
Added : Option to not using email for reservation from Member Area
Added : Flexibility to add page content using plugin system
Added : More configuration for system migration
Added : Ctrl + Home (module) to access OPAC instantly from Administration page
Fixed : Member login when accessing protected attachments
Added : Option for reservation from Member Area without sending email (recorded in Reservation sub-menu)
Added : Stock take report detail per user
Fixed : Unknown host while install in paid hosting environment
Fixed : Barcode cut title
Fixed : Problem with mod_security when add some data in Bibliography Module in paid hosting environment
Fixed : Function to downlad attachment in paid hosting environment
Added : Support for load balanced environment

SLiMS 9.3.1 (Bulian)
========================================================================
Fix : upgrade error.

SLiMS 9.3.0 (Bulian)
========================================================================
Added : Print catalog option
Added : Bypass php limit on uploading file for shared hosting
Added : Button to download backup file
Added : Download counter detail and filter
Update : Dashboard data view improvement using AJAX
Added : New plugin system to make ease of pain when adding additional plugin
Added : MySQL port information in installer
Update : PHPMailer with new version and configuration
Fixed : Auto update and delete for UCS
Added : Show hide sub-menu by user group privileges
Added : Placement options for embedded link and video attachments

SLiMS 9.2.2 (Bulian)
========================================================================
Fixed : Missing mysqldump-php dependencies

SLiMS 9.2.1 (Bulian)
========================================================================
Added : Thumbnail and picture preview in Member List
Added : Using mysqldump-php for backup. Less dependency when installing SLiMS to shared hosting
Added : Hide and Promote to homepage filter in Bibliographic List
Fixed : Version tag for latest bulian's release
Fixed : Identifier for production within sysconfig
Fixed : Update information for minimum PHP version
Fixed : Blank page after upload file is failed

SLiMS 9.2.0 (Bulian)
========================================================================
Fixed : Invalid date on upgrade, especially upgrade from SLiMS 5 Cendana version and under 
Added : File attachment download counter report
Added : Biblio log preview
Added : Upload picture to and from local server in ckeditor
Updated : ckeditor to version 4
Added : Search cluster (on default template) for ElasticSearch indexing tool
Added : Easily change About Us information in OPAC (provided as footer). Available in theme customization
Added : GUI acccess to generate new field for Bibliography and Membership. Available in System menu
Added : Security enhancement for CRSF (Cross-Site Request Forgery)
Added : Download book cover directly using url or search through Duckduckgo Service
Added : Cover image thumbnail in Bibliographic List
Updated : Item batch detail in Item Code Batch Generator (Options Button)
Added : Captcha feature to forgot your password recovery mode (admin login)
Added : Procurement report in Reporting Modules
Added : Change logo personification in System Module. Available in System menu
Fixed : Flag icon when change translation. Available in System menu
Updated : Webcam access in HTML5
Added : Personalized backend user template. Available in theme customization
Added : Option for disabling voice in visitor log. Available in System menu
Added : First row information when exporting and importing bibliography and item data
Updated : Bahasa Indonesia translation
Added : Forgot your password recovery mode (admin login)
Added : Option to show or hide first column when export or import

SLiMS 9.1.1 (Bulian)
========================================================================
Added : Upgrade version tag

SLiMS 9.1.0 (Bulian)
========================================================================
Added : Option to activate mobile view in default theme customization
Added : Improve compatibility with PHP7.4 and MySQL5.7
Fixed : Membercard print view when default language is Bahasa Indonesia
Added : Ability to download book cover, when available, with MARC SRU copy cataloguing
Added : Updated translation for Urdu Language
Added : Environment mode for development and or production
Added : Other minor changes

SLiMS 9 (Bulian)
========================================================================
Added : New localisation for Urdu (Pakistan) language
Added : New localisation for Turkish language
Added : New localisation for Russian language
Added : New installer interface with optimized options
Added : New Admin template
Added : Optimized Classic Template
Added : New theme for member card (Classic card theme)
Added : MARC SRU as new copy cataloguing feature
Modified : Added new menu for adding copy cataloguing servers, including MARC SRU servers
Added : Voice synthesizer for visitor counter
Added : Feature to download cover and attachment files (if any) from P2P servers
Added : Configuration using ElasticSearch indexing tool
Fixed : Security enhancement for XSS (cross-site scripting)
Fixed : Security enhancement for SQLi (SQL injection)


SLiMS 8.3.1 (Akasia)
========================================================================
Added : Template changer for OPAC and Administration template in System Configuration replacing 
Modified : Optimized access for menu in OPAC
Added : Advanced search in OPAC
Added : Full Arabic Translation
Added : Biblio log system (for API)

SLiMS 8.3 (Akasia)
========================================================================
Added : Installer auto generate database
Added : Node server for UCS
Added : Node server for P2P
Added : Scope note in vocabulary control
Modified : Password change due to encryption method
Added : User ID in database
Fixed : Auto focus on current stock take menu
Fixed : Download access for PDF

SLiMS 8.2 (Akasia)
========================================================================
Fixed  : Installation problem due to SLiMS version naming
Update : Security access to some iframe scripts

SLiMS 8.1 (Akasia)
========================================================================
Added : New theme for SLiMS 8 OPAC interface, lightweight and classic

SLiMS 8 (Akasia)
========================================================================
Added : New editor in content menu (bye bye tinymce)
Added : Build-in chat
Added : New lightweight and classic template
Added : Citation style for each bibliographic record in OPAC
Added : shortcut settings implemented
Added : Vocabulary Control by Ido Alit (Waris Agung Widodo)
Added : RDA Content, Media and Carrier type input on Bibliography form
Added : Dashboard menu for admin
Update : Optimizing content menu to make a simple cms, delivering news from your library
Update : Re-modelled installer page 
Update : New method in upgrade version within installer page
Update : MARC Export for multiple records
Update : biblio record detail now available on JSON-LD format
Update : schema.org and RDFa microformat data on biblio record detail
Update : schema.org and RDFa microformat data on OPAC result list
Fixed : installer error because of SQL syntax in senayan.sql.php

SLiMS 7 (Cendana)
========================================================================
Added: Persian translation
Added: Cendana Responsive template
Added: Comment field in OPAC
Added: Membercard generator by Jushadi Arman Saz (jushadi@unsulbar.ac.id)
Added: Tooltip in New Bibliography field
Added: New theme for SLiMS 7 Cendana
Added: Label, barcode, and member card settings from within the SLiMS adminstration page
Added: Keyword suggestion using Enchant library
Added: Since Meranti, Google voice search in OPAC using Google Chrome browser
Added: Google voice search for search in OPAC with Google Chrome browser using mobile device
Fixed: Bugs in Custom Reports
Fixed: LDAP auth error
Modified: Type ahead value for Publisher, Publishing Place, Classification


SLIMS 5 (Meranti)
========================================================================
Added: Web-based SLiMS installer
Added: New Template for Admin and OPAC. For old templates can be downloaded from https://github.com/slimstemplate.
Added: Z39.50 SRU: Search/Retrieval via URL
Added: OAI/PMH support (server).
Added: Statement of Responbility field in bibliographic form.
Added: Item(s) code generator
Added: Integrated Classification in Subject field
Added: Catalog card printing
Added: Search result clustering :)
Added: Brazilian Portuguise language
Added: remove orphaned publisher and place
Added: Import MARC data
Added: Member photo capture foto directly from membership form.
Added: keyboard shortcut to modules and submodules.
Added: option to not counting fines in holiday.
Added: Alternative to barcode printing using zend barcode
Added: Improvised mobile apps view
Fixed: Bugs in import/export of bibliographic and item data.
Fixed: Missing filter in item usage statistics on Reporting module
Fixed: Bugs in XML result

SENAYAN 3 Stable 15 (Matoa)
========================================================================
- Fixed: Loan receipt always pop even when there are no circulation transactions
- Added: User no need to modify sysconfig.inc.php to make local customization. It is also not recommended. Use sysconfig.local.inc.php instead.
- Added: Download Loan History and current loan for member (in member login).
- Fixed: improve image viewer handling using OpenHTMLpop.
- Added: lib/minigalnano/createthumb.php for alternative in thumbnail generating to phpThumb. Including modify it to meet slims need: flexible width/height resize and caching.
- Added: UCS is now separated package from SLiMS distribution.
- Fixed: remove UCS variables from SLiMS distribution.
- Added: Author and Topic/Subject structure changes.
- Fixed: change unique key for master topic table.
- Fixed: add author year field for author master table in SQL install script.
- Fixed: install and upgrade script fix.
- Fixed: change classification to call number in item list.
- Fixed: update SQL statement in biblio for publish_year and year in search_biblio.
- Fixed: change 'series' to series_title in install/senayan/sql for search_biblio Table.
- Fixed: biblio index error on series title search.
- Fixed: upgrade script for stable15.
- Fixed: search error on publisher.
- Fixed: ajax history error after saving data and causing wrong page to display.
- Fixed: error on system backup because of already defined constant.
- Fixed: removing urlencode function usage.
- Fixed: bugs fixing for series_title in custom frontpage.
- Added: improve XML mods based support in SLiMS.
- Added: Add tools for searching orphaned topic/author in masterfile module.
- Added: Add Email support for sending notification in due date warning and overdue list (using PHPMailer Library).
- Added: Thai language support (Prasitichai เรารักในหลวง).
- Added: 74% arabic translation.
- Fixed: terrafirma template and language file (id_ID).
- Fixed: AJAX circuation error on circulation transaction.
- Fixed: birthdate exp on membership.
- Added: update security.
- Added: set item status to missing when finishing stocktake.
- Added: Bengali language support (A. K. M. Nurul Alam).
- Added: two database connection (security. least privilege for database connection)
- Added: Integrated IP based access limitation
- Added: Security patch from Indra Sutriadi (sutriadi.web.id) to avoid barcode.php exploitation.
- Added: Option $_SERVER['LOCAL_ADDR'] besides $_SERVER['SERVER_ADDR'] for compatibility reason with IIS (Indra Sutriadi)
- Fixed: change "prototype" word menjadi to "jQuery" (Indra Sutriadi)
- Added: Port Reference to checkref function in phpbarcode library (Indra Sutriadi)

SENAYAN 3 Stable 14 (Seulanga)
========================================================================
- Fixed : Expiration date checking in membership management & circulation transaction.
- Fixed : Print receipt in circulation transaction.
- Added : Union Catalogue Server (more stable for production use)
- Added : Peer-to-peer cataloging service
- Added : Custom fields for bibliographic data/Bibliography module (experimental)
- Added : Custom fields for membership data/Membership module (experimental)


SENAYAN 3 Stable 13
========================================================================
- Fixed : Loan by classification reporting for non-decimal class
- Fixed : OPAC search error when searching with GMD or Collection type containing more than one word
- Fixed : Non-decimal class total titles and items in Custom Recapitulation reporting
- Fixed : Holiday calculation bugs in Circulation (critical)
- Added : Espanol/Spanish translation (John Urrego Felipe Mejia)
- Added : Arabic translation (Rasyid Ridho)
- Added : SWF Document Viewer
- Added : Circulation transaction receipt when transaction is finished
- Added : Bibliographic item data export and import features
- Added : Union Catalogue Server (experimental)


SENAYAN 3 Stable 12
========================================================================
- Added : Member login in OPAC
- Added : File download limitation based on Member type
- Added : new public template (igos & terrafirma)
- Added : new admin template (igos)


SENAYAN 3 Stable 11
========================================================================
- Added : Change Loan Date and Due Date manually in circulation transaction (if enabled)
- Added : Replaced language constants with gettext (thanks a lot to Tobias Zeumer).
- Added : German SQL (translates all default data).
- Added : Stock Take, List only item for current logged in user in current stock take and Upload item code list.
- Added : Label on Bibliographic records can have URL.
- Added : German translations from Tobias Zeumer.
- Added : security enhancement for language switch in sysconfig.
- Fixed : Some Javascripts code optimized.
- Fixed : date handling on holiday settings.
- Fixed : Biblio detail metadata notes field is now HTML stripped in OPAC's record detail
- Fixed : Skip stock take on item status not working when Stock take initialize.
- Fixed : Paging in loan rules.
- Fixed : Forcing UTF8 for MySQL/HTTP
- Fixed : Session cookies revision.
- Fixed : Simbio Form Table.
- Fixed : Fines list bugs in circulation.
- Fixed : Optimized OPAC's search engine.
- Fixed : Custom reports date filter.
- Fixed : AJAX error in Item Barcode Generator.
- Fixed : Mobile browser detection utility
- Fixed : many untranslated string, thanks to Tobias Zeumer


STABLE 10
========================================================================
- Fixed : Backup module
- Added : MODS (Metadata Object Description Schema) XML format
- Added : Z3950 bibliographic data service
- Added : Multimedia viewer
- Added : multiple file upload
- Added : booleans operator in OPAC and bibliography
- Added : Enhanced advanced search
- Fixed : duplicate item code warning in Item data form
- Added : Improvement on New Custom Report - Item Usage and Loan By Class
- Added : Improvement on Record number to show option in custom reports
- Added : PHP-based template system
- Added : Robots support for third-party indexing engine
- Added : Serial control management
- Fixed : in stocktaking for location filter


STABLE 9
========================================================================
- Added : A lot of improvements related with security issues.
- Added : security patch using Apache .htaccess. So it means that it only works with Apache web
  server. So it is recomended to use Senayan with Apache web server.
- Added : security patches in AJAX request in item_list.
- Added : Some options to add more advanced AJAX Security
- Added : Option to custom base url on search result (useful to implement filesystem-based web caching)
- Added : Simple content management system to create non-collection information
- Added : Options to customize senayan OPAC frontpage
- Added : Features to promote collections to frontpage
- Added : Feature to add header info only in frontpage
- Fixed : printing customization
- Fixed : displaying background image for some template
- Added : template (invention)


STABLE 8 - Saturday, 2009-03-14
========================================================================
- Added : custom result field in OPAC search result
- Fixed : security vulnerability, enable attacker to inject HTML in OPAC search query and XSS attack
- Added : New reporting summary based on class and staff activities
- Added : Feature for duplicating call number to data item.
- Added : Printing membership card.
- Added : Configurable label, barcode, and membership card printing per template.
- Fixed : expiry of collection reservation.


STABLE 7 - Wednesday, 2009-01-12
========================================================================
- Added : holiday date range in Holiday Setting
- Added : CLEAR LOGS for clearing full/bloated System Log
- Added : Inventory Code field in item data form
- Added : Currency field in item data form
- Added : Improved document label and barcode printing
- Fixed : Javascript AJAX Drop down menu
- Added : Feature of for saving logs
- Fixed : searching item for checked-out item list.
- Fixed : importing bibliographic data
- Fixed : printing call number label
- Added : filter in reporting
- Added : reservation list (circulation)


STABLE 6 - Sunday, 2008-09-21
========================================================================
- Fixed : change template from global configuration interface


STABLE 5 - Tuesday, 2008-06-20
========================================================================
- Added : Improvement in javascript codes
- Added : Template file and CSS refinements
- Added : Improvement in record detail for showing item list and its due date
- Added : Improvement on bootstrap file (index.php) behaviour
- Added : template "blue" by Eddy Subratha
- Added : Improvement holiday count in overdue
- Added : Implementation of overdue grace periode for circulation
- Fixed : backup proccess for wrong paging library inclusion
- Added : Update in translation by Wardiyono (wynerst@gmail.com)
- Added : version information
- Added : Improvement in AJAX handling for drop down box
- Added : Grace Periode for overdue on circulation
- Added : Language selection in OPAC
- Added : OPAC template "blue" by Eddy Subratha
- Added : Improvement in default templates


STABLE 4 - Monday, 2008-05-09
========================================================================
- Added : Multi-language support
- Fixed : paging
- Added : Improved login sessions handling
- Fixed : search at overdue list on circulation module


STABLE 3 - Monday, 2008-03-25
========================================================================
- Fixed : changing user profile for administrator
- Fixed : overdue warnings at admin home page for not showing the right counts
- Fixed : sessions timeout handling
- Fixed : upload error because of filename contain single or double quote characters
- Fixed : checking ID field for showing FORBIDDEN ACCESS when others computer trying set ID Field in form
- Fixed : print counters for Label Prints and Item Barcodes Print
- Fixed : deleting collection type
- Fixed : string handling
- Added : in Circulation transaction, Fines values automatically displayed in Loan List, without having to return
  or extend loan first
- Added : Subject, Series Title in OPAC's Record Detail
- Added : in OPAC's Record Detail, Each Author Name and Subject Term are hyperlinked to related document
- Added : master file document language
- Added : expired member list in membership module
- Added : improvement in security handling
- Added : authority level for Author and Topic/Subject
- Added : improvement on bibliographic import and export tools
- Added : improvement on stock take modules


STABLE 2 - Friday, 2008-03-22
========================================================================
- Fixed : changing user profile for empty password
- Fixed : record detail for not showing GMD/Medium data
- Fixed : green OPAC template
- Fixed : Reporting module at Membership section
- Fixed : login proccess for User that belongs to any User Group
- Fixed : System Logs's searching
- Fixed : Stock Take's searching
- Added : overdue warnings at admin home page
- Added : warnings for ON LOAN or INVALID item code
- Added : Detail for stock take history


STABLE 1
========================================================================
- Added : New built-in system logs.
- Fixed : templating system.
- Added : New Document Labels printing on "bibliographic" module, based on Call Number.
- Added : New Item barcode generator printing on "bibliographic" module.
- Added : New Partial stock taking proccess on "stock_take" module.
- Added : New overdue detail in Overdue list on "circulation" module.
- Added : New Item Status mode allow you to set certain action for some Item Status, such as "Loan Forbid".
- Added : New Login Session timeout.
- Added : Few new options in global configuration options.
- Added : Warning system in admin home for some application settings.
- Fixed : "master_file" module.
- Fixed : "stock_take" module.
- Fixed : "system" module.
- Fixed : security issues.
- Fixed : many part of circulation module.
- Added : "Location" and "Availaibility" field in OPACs record detail.
- Added : "location" field for advanced search in OPAC to narrow search scope in specific location.
- Added : "size" option in Barcode generator.
- Added : "member_since_date" field in "member" table.
- Added : "source" field in "item" table.
- Added : "report_file" field in "stock_take" table.
- Added : New table "system_log" in database for storing system logs.
- Fixed : "publish_place" field changed to "publish_place_id" (foreign key to mst_place table) field in "biblio" table.
- Fixed : Re-ordering of "input_date" and "last_update" fields in "biblio" table.
